package cn.reghao.oss.api.iface.media;

import java.util.List;
import java.util.Set;

/**
 * @author reghao
 * @date 2023-10-12 15:06:21
 */
public interface MediaScopeService {
    @Deprecated
    void setVideoScope(String videoFileId, int scope);
    @Deprecated
    void setAudioScope(String audioFileId, int scope);
    @Deprecated
    void setImagesScope(Set<String> imageFileIds, int scope);
    void setObjectScope(int scope, String objectId, int contentType);
    void setObjectsScope(int scope, List<String> objectIds, int contentType);
}
